package com.caimei.mapper;

import com.caimei.model.po.CmBrandAuthFilePo;
import com.caimei.model.po.ShopInfoPo;
import com.caimei.model.po.UserPo;
import com.caimei.model.vo.BrandVo;
import com.caimei.model.vo.CountryVo;
import com.caimei.model.vo.ShopFormVo;
import com.caimei.model.vo.ShopListVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2021/5/11
 */
@Mapper
public interface ShopMapper {

    List<ShopListVo> getShopList(@Param("shopName") String shopName, @Param("shopType") Integer shopType, @Param("brandId") Integer brandId, @Param("mobile") String mobile, @Param("linkMan") String linkMan);

    void updateShopStatusByUserId(@Param("authUserId") Integer authUserId, @Param("status") Integer status);

    String getShopMobileByUserId(Integer authUserId);

    CmBrandAuthFilePo getStatementFile(CmBrandAuthFilePo searchFile);

    void insertStatementFile(CmBrandAuthFilePo cmBrandAuthFile);

    Integer getFileNumByMd5Hex(String md5Hex);

    void deleteStatementFile(Integer id);

    void insertShop(UserPo shop);

    void updateBrandAuthLogo(@Param("brandId") Integer brandId, @Param("brandAuthLogo") String brandAuthLogo);

    void updateFileUserId(@Param("statementFileId") Integer statementFileId,@Param("authUserId") Integer authUserId);

    void insertShopInfo(ShopInfoPo shopInfo);

    void updateShopByUserId(UserPo shop);

    void updateShopInfoByUserId(ShopInfoPo shopInfo);

    ShopFormVo getShopByAuthUserId(Integer authUserId);

    List<BrandVo> getBrandList(Integer type);

    List<CountryVo> getCountryList();

    Integer getUserIdByMobile(String mobile);
}
