CREATE TABLE `cm_brand_auth_user` (
                                                `authUserId` INT NOT NULL AUTO_INCREMENT,
                                                `name` VARCHAR(100) NULL COMMENT '账号名',
                                                `mobile` VARCHAR(20) NULL COMMENT '手机号',
                                                `password` VARCHAR(100) NULL COMMENT '密码',
                                                `linkMan` VARCHAR(30) NULL COMMENT '联系人',
                                                `userIdentity` INT NULL COMMENT '用户身份：1管理员，2供应商',
                                                `createTime` DATETIME NULL COMMENT '创建时间',
                                                `createBy` INT NULL COMMENT '创建人Id',
                                                `status` INT NULL COMMENT '状态：0停用，1启用',
                                                PRIMARY KEY (`authUserId`))
    ENGINE = InnoDB
    DEFAULT CHARACTER SET = utf8
    COMMENT = '正品联盟后台管理员';
CREATE TABLE `cm_brand_auth_shop_info` (
                                                   `id` INT NOT NULL AUTO_INCREMENT,
                                                   `authUserId` INT NULL COMMENT '用户Id',
                                                   `type` INT NULL COMMENT '供应商类型：1品牌方，2代理商',
                                                   `brandId` INT NULL COMMENT '所属品牌Id',
                                                   `countryId` INT NULL COMMENT '产地国家id',
                                                   `securityLink` TEXT NULL COMMENT '官网认证链接',
                                                   `statementType` INT NULL COMMENT '代理声明类型：1弹窗，2链接，3图片，4文件',
                                                   `statementContent` TEXT NULL COMMENT '声明弹窗内容',
                                                   `statementLink` VARCHAR(255) NULL COMMENT '声明链接',
                                                   `statementImage` TEXT NULL COMMENT '声明图片',
                                                   PRIMARY KEY (`id`))
    ENGINE = InnoDB
    DEFAULT CHARACTER SET = utf8
    COMMENT = '正品联盟供应商信息';

INSERT INTO `cm_brand_auth_user` (`authUserId`, `name`, `password`, `userIdentity`, `status`) VALUES ('1', 'admin', '21D34CF4A2F21FDD791C4C1B67C3F954', '1', '1');

ALTER TABLE `cm_brand_auth_file`
    CHANGE COLUMN `brandAuthId` `authUserId` INT NULL DEFAULT NULL COMMENT '授权用户id' ;

ALTER TABLE `cm_brand_auth`
    DROP COLUMN `statementImage`,
    DROP COLUMN `statementLink`,
    DROP COLUMN `statementContent`,
    DROP COLUMN `statementType`,
    DROP COLUMN `agentName`,
    DROP COLUMN `agentFlag`,
    DROP COLUMN `securityLink`,
    DROP COLUMN `countryId`,
    DROP COLUMN `brandId`,
    ADD COLUMN `authUserId` INT NULL COMMENT '供应商用户id' AFTER `id`,
    ADD COLUMN `status` INT NULL COMMENT '上架状态：0已下架，1已上架' AFTER `authParty`;

ALTER TABLE `cm_brand_auth_product`
    ADD COLUMN `status` INT NULL COMMENT '上架状态：0下架，1上架' AFTER `certificateImage`;

